/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import domen.Korisnik;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.jms.Session;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import repozitorijum.Repozitorijum;
import webconstants.WebConstants;

/**
 *
 * @author student
 */
public class LoginAction extends AbstractAction {

    //EntityManagerFactory emf = Persistence.createEntityManagerFactory("WebPoslovniPartnerPU");

    @Override
    public String execute(HttpServletRequest request) throws Exception {
//        return "/WEB-INF/jsp/pocetna.jsp";
        String korisnickoIme = request.getParameter("inputKorisnickoIme");
        String korisnickaSifra = request.getParameter("inputKorisnickaSifra");
        try {
            Korisnik korisnik = login(korisnickoIme, korisnickaSifra);
            HttpSession session = request.getSession(true);
            session.setAttribute(WebConstants.LOGIN_KORISNIK, korisnik);
            return WebConstants.PAGE_POCETNA;
        } catch (Exception ex) {
            throw ex;
        }

    }

    private Korisnik login(String korisnickoIme, String korisnickaSifra) throws Exception {
//        EntityManager em = emf.createEntityManager();
//        List<Korisnik> korisnici = em.createNamedQuery("Korisnik.findByKorisnickoime").
//                setParameter("korisnickoime", korisnickoIme).getResultList();
//        if (korisnici.isEmpty()) {
//            throw new Exception("Korisnicko ime ne postoji!");
//        }
//
//        if (korisnici.get(0).getKorisnickasifra().equals(korisnickaSifra)) {
//            return korisnici.get(0);
//        }
//        throw new Exception("Korisnicka sifra je pogresna!");

        List<Korisnik> korisnici = Repozitorijum.getRepozitorijum().getKorisnici();
        for (Korisnik korisnik : korisnici) {
            if (korisnik.getKorisnickoime().equals(korisnickoIme) && korisnik.getKorisnickasifra().equals(korisnickaSifra)) {
                return korisnik;
            }
        }
        throw new Exception("Korisnik ne postoji!");
    }

}
